net.i2p.router.transport

## Class UPnP.IPv6ForwardPort

- java.lang.Object
- - org.freenetproject.ForwardPort
  - - net.i2p.router.transport.UPnP.IPv6ForwardPort

- Enclosing class:
    UPnP

      static class UPnP.IPv6ForwardPort
      extends ForwardPort

  IPv6-specific port forwarding configuration. Extended to store the requested IP to be forwarded.

- - ### Field Summary

    - ### Fields inherited from class org.freenetproject.ForwardPort

      `isIP6, name, portNumber, protocol, PROTOCOL_TCP_IPV4, PROTOCOL_UDP_IPV4`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IPv6ForwardPort(String name, int protocol, int port, String ip)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Ignores UID
    `long` | `getExpiration()`
    `String` | `getIP()`
    `int` | `getUID()`
    `int` | `hashCode()`
    `void` | `setExpiration(long expires)`
    `void` | `setUID(int uid)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IPv6ForwardPort

          public IPv6ForwardPort(String name,
                                 int protocol,
                                 int port,
                                 String ip)

      Parameters:
        `ip` - the IPv6 address being forwarded, non-null

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Ignores UID
      Overrides:
        `equals` in class `ForwardPort`

    - #### getExpiration

          public long getExpiration()

      Returns:
        absolute time or 0 if unset

    - #### getIP

          public String getIP()

    - #### getUID

          public int getUID()

      Returns:
        0-65535 or -1 if unset

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ForwardPort`

    - #### setExpiration

          public void setExpiration(long expires)

      Parameters:
        `expires` - absolute time

    - #### setUID

          public void setUID(int uid)

      Parameters:
        `uid` - 0-65535

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`